---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: security-scan-test
  namespace: demo-apps
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  ingressClassName: nginx
  tls:
    - hosts:
        - security-scan-test.kyndemo.live
      secretName: security-scan-test-kyndemo-live-tls
  rules:
    - host: security-scan-test.kyndemo.live
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: frontend
                port:
                  number: 80
